//+------------------------------------------------------------------+
//|                                                    Gann_HiLo.mq4 |
//|                                             Fixed by NuckingFuts |
//|                                                             v1.2 |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers  1
#property indicator_color1   Goldenrod
#property indicator_width1   3

extern int LookBack = 10;
double gann[];
int v;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0, gann);
   SetIndexStyle(0, DRAW_LINE);
   SetIndexLabel(0, "Gann");
   IndicatorShortName("Gann HiLo Activator");
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int limit = (Bars-LookBack);
   int h = 0;
   
   for (int i = limit; i >= 0; i--)
   {
      double bc = Close[i+1];
      if (bc > iMA(NULL, 0, LookBack, 0, MODE_SMA, PRICE_HIGH, i+1))
         h = 1;
      else
      {
         if (bc < iMA(NULL, 0, LookBack, 0, MODE_SMA, PRICE_LOW, i+1))
            h = -1;
         else
            h = 0;
      }
      if (h != 0)
         v = h;
      if (v == -1)
         gann[i] = iMA(NULL, 0, LookBack, 0, MODE_SMA, PRICE_HIGH, i);
      else
         gann[i] = iMA(NULL, 0, LookBack, 0, MODE_SMA, PRICE_LOW, i);
   }
   return(0);
}
//+------------------------------------------------------------------+